SRC/clartv.f(3)

NAME
SRC/clartv.f

SYNOPSIS

  Functions/Subroutines
subroutine clartv (n, x, incx, y, incy, c, s, incc)
CLARTV applies a vector of plane rotations with real cosines and complex sines to the elements of a pair of vectors.

Function/Subroutine Documentation

  subroutine clartv (integer n, complex, dimension( * ) x, integer incx, complex, dimension( * ) y, integer incy, real, dimension( * ) c, complex, dimension( * ) s, integer incc)

CLARTV applies a vector of plane rotations with real cosines and complex sines to the elements of a pair of vectors.

Purpose:

     CLARTV applies a vector of complex plane rotations with real cosines
     to elements of the complex vectors x and y. For i = 1,2,...,n
        ( x(i) ) := (        c(i)   s(i) ) ( x(i) )
        ( y(i) )    ( -conjg(s(i))  c(i) ) ( y(i) )

Parameters
    N

              N is INTEGER
              The number of plane rotations to be applied.

    X

              X is COMPLEX array, dimension (1+(N-1)*INCX)
              The vector x.

    INCX

              INCX is INTEGER
              The increment between elements of X. INCX > 0.

    Y

              Y is COMPLEX array, dimension (1+(N-1)*INCY)
              The vector y.

    INCY

              INCY is INTEGER
              The increment between elements of Y. INCY > 0.

    C

              C is REAL array, dimension (1+(N-1)*INCC)
              The cosines of the plane rotations.

    S

              S is COMPLEX array, dimension (1+(N-1)*INCC)
              The sines of the plane rotations.

    INCC

              INCC is INTEGER
              The increment between elements of C and S. INCC > 0.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 106 of file clartv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.